DLIES< COFACTOR_OPTION, DHAES_MODE > Struct Template Reference

Discrete Log Integrated Encryption Scheme, AKA DLIES More...

Inheritance diagram for DLIES< COFACTOR_OPTION, DHAES_MODE >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Types inherited from DL_ES< DL_CryptoKeys_GFP, DL_KeyAgreementAlgorithm_DH< Integer, NoCofactorMultiplication >, DL_KeyDerivationAlgorithm_P1363< Integer, true, P1363_KDF2< SHA1 > >, DL_EncryptionAlgorithm_Xor< HMAC< SHA1 >, true >, DLIES<> >
typedef PK_FinalTemplate< DL_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< DL_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
Public Types inherited from DL_CryptoKeys_GFP
typedef DL_GroupParameters_GFP_DefaultSafePrime | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey

## Detailed Description

### template<class COFACTOR_OPTION = NoCofactorMultiplication, bool DHAES_MODE = true>
struct DLIES< COFACTOR_OPTION, DHAES_MODE >

Discrete Log Integrated Encryption Scheme, AKA DLIES

Definition at line 615 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h